import request from '@/utils/request'

// 获取企业人数
export function sysUserStatistics(query) {
  return request({
    url: '/pc/system/user/homepage/sysUserStatistics',
    method: 'get',
    params: query
  })
}
// 查询区域列表
export function workTicketAreaWorkStatistics(query) {
  return request({
    url: '/pc/workticket/homepage/workTicketAreaWorkStatistics',
    method: 'get',
    params: query
  })
}
// 查询用户列表
export function listUser(query) {
  return request({
    url: '/system/user/selectUserListInnerDeptPost',
    method: 'get',
    params: query
  })
}
// 获取生产区域数量
export function sysAreaStatistics(query) {
  return request({
    url: '/pc/workticket/homepage/sysAreaStatistics',
    method: 'get',
    params: query
  })
}
// 获取应急数量
export function trainStatistics(query) {
  return request({
    url: '/drill/plan/homeStatistics',
    method: 'get',
    params: query
  })
}
// 获取隐患数量
export function dangerStatistics(query) {
  return request({
    url: '/pc/doubledefense/task/homepage/dangerStatistics',
    method: 'get',
    params: query
  })
}
// 获取隐患列表
export function getDangerList(query) {
  return request({
    url: 'doubledefense/danger/pcHomePageDangerList',
    method: 'get',
    params: query
  })
}

// 获取巡检任务清单
export function checkTaskInventoryStatisticsPC(query) {
  return request({
    url: '/pc/doubledefense/task/homepage/checkTaskInventoryStatisticsPC',
    method: 'get',
    params: query
  })
}
// 获取设备设施统计
export function deviceStatistics(query) {
  return request({
    url: '/pc/doubledefense/task/homepage/deviceStatistics',
    method: 'get',
    params: query
  })
}
// 获取作业票统计
export function workTicketTypeStatistics(query) {
  return request({
    url: '/pc/workticket/homepage/workTicketTypeStatistics',
    method: 'get',
    params: query
  })
}
// 获取作业票列表
export function getWork(query) {
  return request({
    url: '/worktecket/data/pcList',
    method: 'get',
    params: query
  })
}

// 获取演习计划总数列表数据
export function getYearList(params) {
  return request({
    url: '/drill/emergency/list',
    method: "get",
    params
  });
}
// 查询演习已完成数据
export function overviewList(params) {
  return request({
    url: '/drill/plan/overviewList',
    method: "get",
    params
  });
}
// 演习完成记录统计
export function statistics(params) {
  return request({
    url: '/drill/plan/statistics',
    method: "get",
    params
  });
}
// 查询演习队伍列表
export function getTeamList(params) {
  return request({
    url: '/drill/contingent/list',
    method: "get",
    params
  });
}
